extends Node2D


func _ready() -> void:
	for child in get_children():
		assert(child is Planete, "Seules les planetes sont autorisees dans le systeme")
		var planete: Planete = child as Planete
		planete.niveau_demarre.connect(demarrer_niveau)


func demarrer_niveau(niveau: PackedScene) -> void:
	add_sibling(niveau.instantiate())
	queue_free()
